package ajcon.custom.util.elements;

import java.util.ArrayList;
import java.util.List;

public class CJavaSourceProgram {

       private List<CJavaClassFile> CJavaClassFile;
       private CTypeDependences CTypeDependences;
       private CJavaSourceCode CJavaSourceCode;

    public CJavaSourceProgram() {
        CJavaClassFile = new ArrayList<CJavaClassFile>();
        CTypeDependences = null;
        CJavaSourceCode = null;
    }

    public List<CJavaClassFile> getCJavaClassFile() {
        return CJavaClassFile;
    }

    public void setCJavaClassFile(List<CJavaClassFile> CJavaClassFile) {
        this.CJavaClassFile = CJavaClassFile;
    }

    public CJavaSourceCode getCJavaSourceCode() {
        return CJavaSourceCode;
    }

    public void setCJavaSourceCode(CJavaSourceCode CJavaSourceCode) {
        this.CJavaSourceCode = CJavaSourceCode;
    }

    public CTypeDependences getCTypeDependences() {
        return CTypeDependences;
    }

    public void setCTypeDependences(CTypeDependences CTypeDependences) {
        this.CTypeDependences = CTypeDependences;
    }

    public void addCJavaClassFile(CJavaClassFile cc){
        this.CJavaClassFile.add(cc);
    }
    
}
